<?php

class Profile {
    
    protected $forename, $surname, $othernames, $description, $website;
    
    public function __construct($forename, $surname, $description, $website, $othernames = '') {
        $this->forename = $forename;
        $this->surname = $surname;
        $this->description = $description;
        $this->website = $website;
        $this->othernames = $othernames;
    }
    
    public function returnFullName() {
        $fullname = $this->forename;
        if(strlen($this->othernames) > 0) {
            $fullname .= ' '.$this->othernames;
        }
        $fullname .= ' '.$this->surname;
        
        return $fullname;
    }
    
    public function getForename() {
        return $this->forename;
    }
    
    public function getSurname() {
        return $this->surname;
    }
    
    public function getWebsite() {
        return $this->website;
    }
    
    public function getDescription() {
        return $this->description;
    }
    
    public function changeForename($name) {
        if(strlen($name) > 0) {
            $this->forename = $name;
        }
        return $this;
    }
    
    public function changeSurname($name) {
        if(strlen($name) > 0) {
            $this->surname = $name;
        }
        return $this;
    }

}

